# Class: AdminPostGiftCardsReq

[internal](../modules/internal-9.md).AdminPostGiftCardsReq

## Properties

### ends\_at

• `Optional` **ends\_at**: `Date`

#### Defined in

medusa/dist/api/routes/admin/gift-cards/create-gift-card.d.ts:83

___

### is\_disabled

• `Optional` **is\_disabled**: `boolean`

#### Defined in

medusa/dist/api/routes/admin/gift-cards/create-gift-card.d.ts:84

___

### metadata

• `Optional` **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

medusa/dist/api/routes/admin/gift-cards/create-gift-card.d.ts:86

___

### region\_id

• **region\_id**: `string`

#### Defined in

medusa/dist/api/routes/admin/gift-cards/create-gift-card.d.ts:85

___

### value

• `Optional` **value**: `number`

#### Defined in

medusa/dist/api/routes/admin/gift-cards/create-gift-card.d.ts:82
